RMarkInput {secr} | R Documentation

## Convert Data to RMark Input Format

### Description

A single-session capthist object is formed by RMarkInput into a dataframe that may be passed directly to RMark.

### Usage

    RMarkInput(object, grouped = FALSE, covariates = TRUE)

    unRMarkInput(df, covariates = TRUE)

### Arguments

`object` | secr capthist object
`grouped` | logical for whether to replace each group of identical capture histories with a single line
`covariates` | logical or character vector; see Details
`df` | dataframe with fields ‘ch’ and ‘freq’

### Details

To convert a multi-session object first collapse the sessions with `join`.

If `covariates` is TRUE the all columns of individual covariates in the input are appended as columns in the output. If `covariates` is a character-valued vector then only the specified covariates will be appended.

If both `grouped` and `covariates` are specified in `RMarkInput`, `grouped` will be ignored, with a warning.

### Value

For RMarkInput –

Dataframe with fields ch and freq. ‘ch’ is a character string of 0's and 1's. If `grouped = FALSE` the rownames are retained and the value of ‘freq’ is 1 or -1. Negative values of ‘freq’ indicate removal.

The dataframe also includes individual covariates specified with `covariates`.

The attribute ‘intervals’ is copied from ‘object’, if present; otherwise it is set to a vector of zeros (indicating a closed-population sample).

For unRMarkInput –

A single-session capthist object with no traps attribute and hence no detector type (i.e. non-spatial capture histories). Covariates are copied as requested.

### Note

In versions before 2.4.0, a spurious occasion was added by `RMarkInput` when grouped = FALSE. Thanks to Jeff Stetz for spotting this.

The default value for `grouped` changed to FALSE in secr 2.4.0

### References

Laake, J. and Rexstad E. (2008) Appendix C. RMark - an alternative approach to building linear models in MARK. In: Cooch, E. and White, G. (eds) Program MARK: A Gentle Introduction. 6th edition. Available at http://www.phidot.org/software/mark/docs/book/.

### See Also

`join`

### Examples

    ## ovenCH is a 5-year mist-netting dataset
    ovenRD <- RMarkInput (join(ovenCH))
    head(ovenRD)

    unRMarkInput(ovenRD)

    RMarkInput(deermouse.ESG, covariates = FALSE, grouped = TRUE)
    RMarkInput(deermouse.ESG, covariates = TRUE)

    ## Not run:
    ## fit robust-design model in RMark (MARK must be  installed)
    ## may need to set MarkPath, e.g., MarkPath <- 'c:/MARK'
    library(RMark)
    ovenRD.data <- process.data(ovenRD, model = "Robust",
        time.interval = attr(ovenRD, "intervals"))
    ovenRD.model <- mark(data = ovenRD.data, model = "Robust",
        model.parameters = list(p = list(formula = ~1, share = TRUE),
        GammaDoublePrime = list(formula = ~1),
        GammaPrime = list(formula = ~1),
        f0 = list(formula = ~1)))
    cleanup(ask = FALSE)

    ## End(Not run)

[Package secr version 3.2.1 Index]